%define		orgname		qtdoc
%define		qtbase_ver	%{version}
%define		qttools_ver	%{version}
Summary:	The Qt5 qtdoc documentation module
Summary(pl.UTF-8):	Moduł dokumentacji Qt5 qtdoc
Name:		qt5-%{orgname}
Version:	5.15.14
Release:	1
License:	FDL v1.3
Group:		Documentation
Source0:	https://download.qt.io/official_releases/qt/5.15/%{version}/submodules/%{orgname}-everywhere-opensource-src-%{version}.tar.xz
# Source0-md5:	a3cbe9803d852a8f08b87c40d9cf28e0
URL:		https://www.qt.io/
BuildRequires:	qt5-assistant >= %{qttools_ver}
BuildRequires:	qt5-build >= %{qtbase_ver}
BuildRequires:	qt5-qmake >= %{qtbase_ver}
BuildRequires:	rpmbuild(macros) >= 2.016
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	qt5-doc-common >= %{qtbase_ver}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt5 qtdoc package contains the main Qt Reference Documentation, which
includes overviews, Qt topics, and examples not specific to any Qt
module.

%description -l pl.UTF-8
Pakiet Qt5 qtdoc zawiera podstawową część dokumentacji referencyjnej
Qt, obejmującą artykuły przeglądowe, tematy związane z Qt oraz
przykłady niespecyficzne dla żadnego modułu Qt.

%package qch
Summary:	The Qt5 qtdoc documentation module - QCH format
Summary(pl.UTF-8):	Moduł dokumentacji Qt5 qtdoc - w formacie QCH
Group:		Documentation
Requires:	qt5-doc-common >= %{qtbase_ver}

%description qch
The Qt5 qtdoc documentation module - QCH format.

%description qch -l pl.UTF-8
Moduł dokumentacji Qt5 qtdoc - w formacie QCH.

%package demos
Summary:	The Qt5 qtdoc documentation module - demos
Summary(pl.UTF-8):	Moduł dokumentacji Qt5 qtdoc - programy demonstracyjne
License:	BSD or commercial
Group:		Documentation

%description demos
The Qt5 qtdoc documentation module - demos.

%description demos -l pl.UTF-8
Moduł dokumentacji Qt5 qtdoc - programy demonstracyjne.

%prep
%setup -q -n %{orgname}-everywhere-src-%{version}

%build
%{qmake_qt5}
%{__make}
%{__make} docs

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%{__make} install_docs \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README dist/changes-*
%{_docdir}/qt5-doc/qtcmake
%{_docdir}/qt5-doc/qtdoc

%files qch
%defattr(644,root,root,755)
%{_docdir}/qt5-doc/qtcmake.qch
%{_docdir}/qt5-doc/qtdoc.qch

%files demos
%defattr(644,root,root,755)
# XXX: dir shared with qt5-qtbase-examples
%dir %{_examplesdir}/qt5
%{_examplesdir}/qt5/demos
%changelog
* Tue Jun 11 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt5-qtdoc.git;a=log;h=master

* Sun May 26 2024 Jan Palus <atler@pld-linux.org> e477a6a
- up to 5.15.14

* Sat Mar 09 2024 Jan Palus <atler@pld-linux.org> e4e0102
- up to 5.15.13

* Fri Dec 22 2023 Jan Palus <atler@pld-linux.org> 3a8c089
- up to 5.15.12

* Thu Oct 05 2023 Jan Palus <atler@pld-linux.org> fe30133
- up to 5.15.11

* Wed Jun 07 2023 Jan Palus <atler@pld-linux.org> 9591648
- up to 5.15.10

* Thu Apr 06 2023 Jan Palus <atler@pld-linux.org> 759fa8b
- up to 5.15.9

* Wed Jan 04 2023 Jan Palus <atler@pld-linux.org> 1b04110
- up to 5.15.8

* Fri Oct 28 2022 Jan Palus <atler@pld-linux.org> a10aa89
- up to 5.15.7

* Thu Sep 08 2022 Jan Palus <atler@pld-linux.org> 8e78308
- up to 5.15.6

* Mon Jun 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 79d0d98
- updated to 5.15.5

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> bd56377
- use macro for qmake invocation

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> 9855132
- updated source url to https

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> 0b3bead
- up to 5.15.4

* Sun Dec 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 25dd055
- package -demos

* Wed Nov 25 2020 Jan Palus <atler@pld-linux.org> 2134b69
- release 2 (by relup.sh)

* Fri Nov 20 2020 Jan Palus <atler@pld-linux.org> 87ad7c3
- up to 5.15.2

* Thu Sep 10 2020 Jan Palus <atler@pld-linux.org> 113b69e
- up to 5.15.1

* Mon Jun 01 2020 Jan Palus <atler@pld-linux.org> bbc7c03
- up to 5.15.0

* Sat Apr 18 2020 Jan Palus <atler@pld-linux.org> 00b62a9
- up to 5.14.2

* Mon Jan 27 2020 Jan Palus <atler@pld-linux.org> 9fca54b
- up to 5.14.1

